<?php
/**
 * Created by Luiz Filho
 */

namespace Factory;

class Solicita {

	public function __construct() {
    }

    public function criarSolicitacao($row, $nrsolicmp) {

    	$solicita = new \Model\Solicita();

        $solicita->setCdfillanca($row['CDFILLANCA']);
        $solicita->setCdfilsoli($row['CDFILSOLI']);
        $solicita->setNrsolicmp($nrsolicmp);
        $solicita->setDtsolcmp($this->toDate($row['DTSOLCMP']));
        $solicita->setIdtiplan($row['IDTIPLAN']);
        $solicita->setCdfilcent($row['CDFILCENT']);
        $solicita->setCdoperlanc($row['CDOPERLANC']);
        $solicita->setDthrlancsol($row['DTHRLANCSOL']);
        $solicita->setQtitemSolic($row['QTITEMSOLIC']);
        $solicita->setIdsolextra($row['IDSOLEXTRA']);
        $solicita->setNrorg($row['NRORG']);

    	return $solicita;
    }

    private function toDate($stringDate) {
    	$explodeDate = explode("/", $stringDate);
    	$date = $explodeDate[2].'-'.$explodeDate[1].'-'.$explodeDate[0];
    	return $date;
    }
}